OGRE: Ogre::v1::ManualObjectFactory Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Attributes | List of all members
Ogre::v1::ManualObjectFactory Class Reference
Core | Component » Scene

Factory object for creating ManualObject instances. More...

`#include <OgreManualObject.h>`

Inheritance diagram for Ogre::v1::ManualObjectFactory:
[legend]

## Public Member Functions
| ManualObjectFactory ()
| ~ManualObjectFactory ()
virtual MovableObject * | createInstance (IdType id, ObjectMemoryManager *objectMemoryManager, SceneManager *manager, const NameValuePairList *params=0)
| Create a new instance of the object. More...
void | destroyInstance (MovableObject *obj)
| Destroy an instance of the object. More...
const String & | getType (void) const
| Get the type of the object to be created. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Static Public Attributes
static String | FACTORY_TYPE_NAME

## Detailed Description

Factory object for creating ManualObject instances.

## Constructor & Destructor Documentation

## ◆ ManualObjectFactory()

Ogre::v1::ManualObjectFactory::ManualObjectFactory | ( |  | ) |
| inline

## ◆ ~ManualObjectFactory()

Ogre::v1::ManualObjectFactory::~ManualObjectFactory | ( |  | ) |
| inline

## Member Function Documentation

## ◆ createInstance()

virtual MovableObject* Ogre::MovableObjectFactory::createInstance | ( | IdType | id,
|  | ObjectMemoryManager * | objectMemoryManager,
|  | SceneManager * | manager,
|  | const NameValuePairList * | params = `0`
| ) |  |
| virtualinherited

Create a new instance of the object.

Parameters

  manager | The SceneManager instance that will be holding the instance once created.
  params | Name/value pair list of additional parameters required to construct the object (defined per subtype). Optional.

## ◆ destroyInstance()

void Ogre::v1::ManualObjectFactory::destroyInstance | ( | MovableObject * | obj | ) |
| virtual

Destroy an instance of the object.

Implements Ogre::MovableObjectFactory.

## ◆ getType()

const String& Ogre::v1::ManualObjectFactory::getType | ( | void |  | ) | const
| virtual

Get the type of the object to be created.

Implements Ogre::MovableObjectFactory.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Member Data Documentation

## ◆ FACTORY_TYPE_NAME

String Ogre::v1::ManualObjectFactory::FACTORY_TYPE_NAME
| static

The documentation for this class was generated from the following file:

- OgreManualObject.h